package ca.ubc.cs.elide.nodes;

import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.visitors.*;
import ca.ubc.cs.elide.utils.*;
import java.util.*;

/**
 * <code>InstanceBlockNode</code> objects represent non-static blocks declared
 * in Java classes.
 *
 * The <code>InstanceBlockNode</code>s of a given class can be accessed via {@link ClassNode#getBlocks}
 */
public class InstanceBlockNode extends CodeBearingNode
{		
	boolean isAddableTo(ChildBearingNode node)
	{
		return (node instanceof ClassNode);
	}
}