package ca.ubc.cs.elide.nodes;

import ca.ubc.cs.elide.*;
import ca.ubc.cs.elide.visitors.*;
import ca.ubc.cs.elide.utils.*;
import java.util.*;

/** A <code>StaticBlockNode</code> represents a static initialization block
 * within a class body.
 **/
public class StaticBlockNode extends CodeBearingNode
{	
	boolean isAddableTo(ChildBearingNode node)
	{
		return (node instanceof ClassNode);
	}
}