package ca.ubc.cs.elide.nodes;

import ca.ubc.cs.elide.visitors.*;

/**
 * <code>ConstructorNode</code> objects represent constructor methods.
 */
public class ConstructorNode extends MethodNode
{
	/**
	 * Returns a <code>String</code> representing the unqualified name of this <code>ConstructorNode</code> object.
	 */
	public String getName() { return getDeclaringClass().getShortName(); }
}