package ca.ubc.cs.elide.utils;

import fr.umlv.jmmf.reflect.MultiMethod;

public class Multimethod
{
	private MultiMethod mmeth;
	
	public Multimethod(Class owner, String methodName, int arity)
	{
		this.mmeth = MultiMethod.create(owner,methodName,arity);
	}
	
	public Object invoke(Object target, Object[] params)
	{
		try
		{
			return mmeth.invoke(target,params);
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
		System.out.println("Failure in multimethod call"+mmeth);
		System.exit(1);
		return null;
	}
}