/** Example classes using various utility modifiers:
   * 
   * For the sake of clarity, each class uses only one modifier, although
   * ELIDE allows any number.  Note that while this file contains many
   * public classes, ELIDE outputs separate files for each class in output/
   *
   */


import java.util.*;

equals<>
public class EqualsTest
{
	String x;
	int y;
	List z;
}

// see TODO.txt for output
todo<"Add some methods.">
public class TodoTest
{
	todo<"Add a body.">
	public void example(String[] texts)
	{
	}
}

public class TracedTest
{
	traced<>
	public void example1(String[] texts)
	{
	}

	//untraced
	public void example2(String[] texts)
	{
	}
}

// see Tracing.aspect for more details
public class CrosscutTest
{
	public void example1(String[] texts)
	{
	}

	public void example2(String[] texts)
	{
	}
}

comparable<%{aNumber+anotherNumber}%>
public class CompTest
{
	private String aName;
	private int aNumber;
	private int anotherNumber;
}

hashable<>
public class HashableTest
{
	private String aName;
	private int aNumber;
	private int anotherNumber;	
}

clonable<>
public class ClonableTest
{
	private List aList = new ArrayList();
	private String aName = "Tom Waits";
	private int aNumber = 3;
	private int anotherNumber = 6;	
}